---
dependency:
  name: galaxy
driver:
  name: vagrant
platforms:
  - name: centos7
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: yes
      ssh.remote_user: "'vagrant'"
    box: centos/7
    memory: 1024
    cpus: 1
    provider_options:
      video_type: "'vga'"
  - name: centos8
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: yes
      ssh.remote_user: "'vagrant'"
    box: centos/8
    memory: 1024
    cpus: 1
    provider_options:
      video_type: "'vga'"
  - name: debian10
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: yes
      ssh.remote_user: "'vagrant'"
    box: generic/debian10
    memory: 1024
    cpus: 1
    provider_options:
      video_type: "'vga'"
  - name: debian11
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: yes
      ssh.remote_user: "'vagrant'"
    box: generic/debian11
    memory: 1024
    cpus: 1
    provider_options:
      video_type: "'vga'"
  - name: ubuntu20
    instance_raw_config_args:
      - 'vagrant.plugins = ["vagrant-libvirt"]'
    config_options:
      ssh.keep_alive: yes
      ssh.remote_user: "'vagrant'"
    box: generic/ubuntu2010
    memory: 1024
    cpus: 1
    provider_options:
      video_type: "'vga'"
provisioner:
  name: ansible
  config_options:
    defaults:
      timeout: 60
  ansible_args:
    - --forks=4
  playbooks:
    prepare: prepare.yml
verifier:
  name: ansible
lint: |
  yamllint .
  ansible-lint
